# Ansible Role: Tor Onion Service

## Required Variables

```yaml
onion_service_container_name: onion_service
onion_service_virtual_port: 80
onion_service_target: 1.2.3.4:8080
onion_service_non_anonymous_single_hop_mode: 0 # or 1
onion_service_network_name: webserver
```

## Optional Variables

```yaml
onion_service_container_image: docker.io/fphammerle/onion-service:3.1.0-tor0.4.6.9r0-armv6@sha256:14a56930a41a81b734ea0a6df68b2ce5e4da73bc3ee73157663b6d94f718e618
onion_service_container_state: started
onion_service_disable_healthcheck: yes
```

## Returned Variables

```
onion_service_address
```
